/** \file rpi_cava.h
 *  \brief This module contains continuous tasks for cava (spectrum analyzer) comunication
 */
#if !defined(__RPI_CAVA_H__)
#define __RPI_CAVA_H__

/***************************************************************************************************
 * Includes
 **************************************************************************************************/
#include <stdint.h>

/***************************************************************************************************
 * Preprocessor Constants and Macros
 **************************************************************************************************/

/***************************************************************************************************
 * Type and Contant Definitions
 **************************************************************************************************/

/***************************************************************************************************
 * Global Variables
 **************************************************************************************************/

/***************************************************************************************************
 * External Function Prototypes
 **************************************************************************************************/

/**
 * \brief Start artnet node module
 **/
void setup_cava();

int get_cava_buffer(uint16_t **buffer_dst);

void close_cava();

void start_cava_bg_worker();

void stop_cava_bg_worker();

#endif /* __RPI_CAVA_H__ */